[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# unlock_data

Unlock data segment

## Declaration

Source position: go32.pp line 144

`function unlock_data(`
`var data;`
`size: LongInt`
`):Boolean;`

## Description

Unlocks a memory range which resides in the data segment selector.

Parameters:

data
  address of memory to be unlocked.
size
  size bytes to be unlocked.

Return values: True if successful, False otherwise.

For an example, see get_rm_callback.

## Errors

Check the int31error variable.

## See also

unlock_linear_region |  | Unlock linear memory region
unlock_code |  | Unlock code segment
lock_linear_region |  | Lock linear memory region
lock_data |  | Lock data memory range
lock_code |  | Lock code memory range

Documentation generated on: Feb 26 2014